सामग्री पर जाएँ

Flux 3 Text to Video

इंटीग्रेट करें

मॉडल id blackforestlabs/flux-3/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $3.40 3,400 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs टेक्स्ट से वीडियो नेटिव ऑडियो4K आउटपुटलिपसिंक5–20 s2160p तक #stylized#transform#lipsync

पूर्ण-गुणवत्ता वाला text-to-video, वैकल्पिक ऑडियो और 2160p तक के आउटपुट के साथ

Black Forest Labs · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वांछित वीडियो का टेक्स्ट विवरण।

duration auto

वीडियो की लंबाई: सेकंड निर्दिष्ट करें या मॉडल द्वारा चुनी गई अवधि के लिए `auto` चुनें।

aspect_ratio डिफ़ॉल्ट auto

आउटपुट वीडियो का आस्पेक्ट रेशियो; `auto` चयन मॉडल को सौंपता है।

resolution डिफ़ॉल्ट 720p

आउटपुट रिज़ॉल्यूशन, जिसके पिक्सेल आयाम आस्पेक्ट रेशियो से निर्धारित होते हैं। अंतिम रूप देने में `1080p`, `1440p` (2K) और `2160p` (4K) के लिए वीडियो अपस्केलर का उपयोग होता है।

उन्नत safety_tolerance
डिफ़ॉल्ट 2

वीडियो सुरक्षा सहनशीलता का स्केल 4 की सबसे उदार और 0 की सबसे सख्त सेटिंग रखता है।

POST /run/blackforestlabs/flux-3/text-to-video?wait=20 कोटेशन → $3.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Flux 3 Text to Video के बारे में

लिखे गए `prompt` से एक वीडियो क्लिप बनाता है। रिज़ॉल्यूशन 720p, 1080p, 1440p या 2160p हो सकता है और उच्च स्तरों को अपसैंपलर द्वारा पूरा किया जाता है। अवधि `auto` या 5 से 19 तक सेकंड की पूर्ण संख्या होती है। आस्पेक्ट रेशियो 21:9 से 9:16 तक या `auto` होता है और `generate_audio` साउंडट्रैक को चालू या बंद करता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वांछित वीडियो का टेक्स्ट विवरण।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto21:92:116:94:31:13:49:16
आउटपुट वीडियो का आस्पेक्ट रेशियो; `auto` चयन मॉडल को सौंपता है।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
720p1080p1440p2160p
आउटपुट रिज़ॉल्यूशन, जिसके पिक्सेल आयाम आस्पेक्ट रेशियो से निर्धारित होते हैं। अंतिम रूप देने में `1080p`, `1440p` (2K) और `2160p` (4K) के लिए वीडियो अपस्केलर का उपयोग होता है।
durationवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto5678910111213141516171819
+1 और20
वीडियो की लंबाई: सेकंड निर्दिष्ट करें या मॉडल द्वारा चुनी गई अवधि के लिए `auto` चुनें।
generate_audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि वीडियो में निर्मित ऑडियो शामिल हो या नहीं।
safety_toleranceवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट2
0 – 4
वीडियो सुरक्षा सहनशीलता का स्केल 4 की सबसे उदार और 0 की सबसे सख्त सेटिंग रखता है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3400,
    "usd": "3.40",
    "charged": 3400,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया वीडियो।
seed
integerनिर्माण के दौरान उपयोग किया गया seed मान।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/blackforestlabs/flux-3/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt